Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class LegacyLoggerImpl

    java.lang.Object
      edu.stanford.smi.protege.util.LegacyLoggerImpl

    public class LegacyLoggerImpl

extends Object

TODO Class Comment

Author:
  Ray Fergerson

Constructor Summary
`LegacyLoggerImpl(Logger logger)`

Method Summary
`void` | `enter(Object object, String methodName, Object[] args)`
`void` | `error(String entry, Object object, String methodName, Object[] args)`
`void` | `exception(Throwable e, Object object, String methodName, Object[] args)`
`void` | `exit(Object object, String methodName, Object[] args)`
`void` | `stack(String entry, Object object, String methodName, Object[] args)`
`void` | `trace(String entry, Object object, String methodName, Object[] args)`
`void` | `warning(String entry, Object object, String methodName, Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyLoggerImpl

    public LegacyLoggerImpl(Logger logger)

Method Detail

### enter

    public void enter(Object object,
                      String methodName,
                      Object[] args)

### exit

    public void exit(Object object,
                     String methodName,
                     Object[] args)

### trace

    public void trace(String entry,
                      Object object,
                      String methodName,
                      Object[] args)

### warning

    public void warning(String entry,
                        Object object,
                        String methodName,
                        Object[] args)

### error

    public void error(String entry,
                      Object object,
                      String methodName,
                      Object[] args)

### exception

    public void exception(Throwable e,
                          Object object,
                          String methodName,
                          Object[] args)

### stack

    public void stack(String entry,
                      Object object,
                      String methodName,
                      Object[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.